<?php

// Include the database connection file
include '../../includes/connection.php';

// Fetch the Telegram Bot Token from the Settings table
$botToken = '';
$tokenStmt = $conn->prepare("SELECT telegram_bot_token FROM Settings LIMIT 1");
$tokenStmt->execute();
$tokenResult = $tokenStmt->get_result();

if ($tokenResult->num_rows > 0) {
    $row = $tokenResult->fetch_assoc();
    $botToken = $row['telegram_bot_token'];
}

$tokenStmt->close();

if (empty($botToken)) {
    die(json_encode(array('error' => 'Bot token not found in the database.')));
}

// Get chat ID and text from URL parameters
$chatId = isset($_GET['chatid']) ? $_GET['chatid'] : '';
$text = isset($_GET['text']) ? $_GET['text'] : '';

if (empty($chatId) || empty($text)) {
    die(json_encode(array('error' => 'Chat ID and text parameters are required.')));
}

// Prepare the URL for sending the message
$url = "https://api.telegram.org/bot$botToken/sendMessage?chat_id=$chatId&text=" . urlencode($text);

// Send the request
$response = file_get_contents($url);
$responseData = json_decode($response, true);

// Format the response data for better readability
$formattedResponse = array(
    'status' => isset($responseData['ok']) ? ($responseData['ok'] ? 'Success' : 'Failure') : 'Unknown',
    'result' => isset($responseData['result']) ? $responseData['result'] : 'No result returned',
    'description' => isset($responseData['description']) ? $responseData['description'] : 'No description available',
    'error' => isset($responseData['error']) ? $responseData['error'] : null
);

// Output the result as a list in a structured format
header('Content-Type: application/json');
echo json_encode($formattedResponse, JSON_PRETTY_PRINT);

// Close the database connection
$conn->close();
?>
