<?php

// Define a function to handle the payment request
function createCharge($data) {
    $baseURL = 'https://payment.signifx.club/api/checkout-v2/global'; // Base URL for the payment API
    $apiKEY = 'aef78d7e11e48fd0c8b9cc7fed460bb1d5e22d26'; // API key

    // Initialize cURL
    $curl = curl_init();

    // Set cURL options
    curl_setopt_array($curl, [
        CURLOPT_URL => $baseURL,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => json_encode($data),
        CURLOPT_HTTPHEADER => [
            "RT-UDDOKTAPAY-API-KEY: " . $apiKEY,
            "accept: application/json",
            "content-type: application/json"
        ],
    ]);

    // Execute cURL request and get the response
    $response = curl_exec($curl);
    $err = curl_error($curl);

    // Close cURL resource
    curl_close($curl);

    if ($err) {
        return json_encode(["status" => false, "message" => "cURL Error #: " . $err]);
    } else {
        // Decode the JSON response
        $responseData = json_decode($response, true);

        // Check if the status is true
        if (isset($responseData['status']) && $responseData['status'] === true) {
            // Extract the payment URL
            $paymentUrl = $responseData['payment_url'];

            // Remove invoice_id handling as it’s not actually provided in the response
            // Return the successful payment URL
        }

        // Return the response
        return json_encode($responseData);
    }
}

// Handle incoming POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the request data
    $requestData = json_decode(file_get_contents('php://input'), true);

    // Validate the request data
    if (isset($requestData['full_name'], $requestData['email'], $requestData['amount'], $requestData['redirect_url'], $requestData['cancel_url'])) {
        // Call the function to create a charge
        echo createCharge($requestData);
    } else {
        // Return error if required data is missing
        echo json_encode(['status' => false, 'message' => 'Missing required fields']);
    }
} else {
    // Return error if the request method is not POST
    echo json_encode(['status' => false, 'message' => 'Invalid request method']);
}
?>
